Bug 20346 - anaconda installation error...
anaconda installation error...
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i686 Linux
high Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-04 17:08 EST by Tufelkinder
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-27 12:27:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tufelkinder 2000-11-04 17:08:26 EST
Traceback (innermost last):
File "/usr/bin/anaconda", line 438, in ?
intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 336, in run
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 678, in run
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2554, in mainloop
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 412, in nextClicked
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/examine_gui.py", line 19, in getNext
  File "/tmp/updates/todo.py", line 941, in upgradeFindPackages
    self.getCompsList ()
  File "/tmp/updates/todo.py", line 539, in getCompsList
    self.comps = self.method.readComps(self.hdList)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/image.py", line 16, in readComps
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 459, in __init__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 353, in readCompsFile
  File "/usr/lib/python1.5/site-packages/urllib.py", line 59, in urlopen
  File "/usr/lib/python1.5/site-packages/urllib.py", line 159, in open
  File "/usr/lib/python1.5/site-packages/urllib.py", line 330, in open_file
  File "/usr/lib/python1.5/site-packages/urllib.py", line 335, in open_local_file

AttributeError: guess_type

Local variables in innermost frame:
StringIO: <module 'StringIO' from '/usr/lib/python1.5/StringIO.pyc'>
self: <urllib.FancyURLopener instance at 84d0d88>
url: /mnt/source/RedHat/base/comps
mimetypes: <module 'mimetypes' from '/usr/lib/python1.5/mimetypes.py'>
mimetools: <module 'mimetools' from '/usr/lib/python1.5/mimetools.py'>
ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6
<failed>
Comment 1 Michael Fulbright 2000-11-07 12:21:23 EST
Could you give more details on how to reproduce this problem?
Comment 2 Tufelkinder 2000-11-07 14:17:05 EST
HP Kayak Pentium II 300 mhz machine with 128 mb ram, running RH 6.0 kernel 2.2.16-3 currently.
I have 3 18 GB SCSI drives, and 1 4.5 gb SCSI drive on the same (wide scsi) bus. Also, a DDS-3 tape
backup, a 6 gb external drive, and a 100 mb zip drive on a narrow (8-bit) scsi bus. 

I attempt to do an upgrade and the error occurs after it starts attempting "Reading package information."

I tried using the anaconda updates disk and that doesn't help.
Comment 3 Michael Fulbright 2000-11-14 15:07:30 EST
Please give detailed steps of how you went through the install process, this
will allow us to more easily reproduce the error.
Comment 4 Tufelkinder 2000-11-14 15:11:41 EST
Things that might be useful to know:
I have a PC CD-writer. I mounted the ISO image of RH7.0 cd 1 on my linux box, and then shared that over the network. 
I then wrote the RPMS and file structure to a cd using my pc writer. As a result, my rh box won't boot from the cd, so I
made a rh 7.0 boot disk, stuck in the cd and booted up.

I choose graphical display. 
English language, 104 key keyboard and then upgrade.
I chose to customize packages. 
At some point it says, "reading package information" and that is when it comes up with aforementioned debug info.
Comment 5 Tufelkinder 2000-11-22 14:26:49 EST
Another note: just verifying that the cd that I created (as well as the boot disk) is valid, I did another installation on 200 mhz non-scsi system 
that went flawlessly.

Note You need to log in before you can comment on or make changes to this bug.